Getting a PGP signature error when attempting a recent update

Hi-

When attempting a recent update (#pacman -Syu) I'm getting the following error:

:: Proceed with installation? [Y/n] 
(238/238) checking keys in keyring                                                                                                                                     [--------------------------------------------------------------------------------------------------------] 100%
(238/238) checking package integrity                                                                                                                                   [--------------------------------------------------------------------------------------------------------] 100%
error: whitesur-gtk-theme-git: signature from "Nico Jensch (Chaotic-AUR) <[email protected]>" is invalid
:: File /var/cache/pacman/pkg/whitesur-gtk-theme-git-2022.02.21.r44.g55b836f-1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n]

I have run update as root and also

sudo pacman -Sy archlinux-keyring && sudo pacman -Su

in an attempt to resolve this. Still getting the invalid signature message.

Any guidance here appreciated!

❯ garuda-inxi                                                                                                                                                                                                                                                         351 Mbps  ─╯
System:
  Kernel: 5.18.9-263-tkg-bmq arch: x86_64 bits: 64 compiler: gcc v: 12.1.0
    parameters: intel_pstate=passive BOOT_IMAGE=/@/boot/vmlinuz-linux-tkg-bmq
    root=UUID=0971afba-13f1-4f58-9dc9-2efda4002dba rw [email protected]
    quiet splash rd.udev.log_priority=3 vt.global_cursor_default=0
    systemd.unified_cgroup_hierarchy=1 loglevel=3 ibt=off
  Desktop: KDE Plasma v: 5.25.3 tk: Qt v: 5.15.5 wm: kwin_x11 vt: 1
    dm: SDDM Distro: Garuda Linux base: Arch Linux
Machine:
  Type: Desktop Mobo: System76 model: Thelio Major v: thelio-major-r2
    serial: <superuser required> UEFI: System76 v: F5 Z5 date: 01/27/2022
CPU:
  Info: model: AMD Ryzen Threadripper 3960X bits: 64 type: MT MCP arch: Zen 2
    gen: 3 built: 2020-22 process: TSMC n7 (7nm) family: 0x17 (23)
    model-id: 0x31 (49) stepping: 0 microcode: 0x8301055
  Topology: cpus: 1x cores: 24 tpc: 2 threads: 48 smt: enabled cache:
    L1: 1.5 MiB desc: d-24x32 KiB; i-24x32 KiB L2: 12 MiB desc: 24x512 KiB
    L3: 128 MiB desc: 8x16 MiB
  Speed (MHz): avg: 3606 high: 4163 min/max: 2200/4568 boost: enabled
    scaling: driver: acpi-cpufreq governor: performance cores: 1: 3593 2: 3647
    3: 3593 4: 3595 5: 3592 6: 3591 7: 3601 8: 3590 9: 3583 10: 3403 11: 3589
    12: 3597 13: 3590 14: 3583 15: 3595 16: 3593 17: 3590 18: 3593 19: 3590
    20: 3587 21: 3591 22: 3592 23: 3590 24: 3595 25: 4163 26: 3868 27: 3586
    28: 3595 29: 3592 30: 3581 31: 3592 32: 3591 33: 3594 34: 3597 35: 3592
    36: 3600 37: 3590 38: 3589 39: 3585 40: 3598 41: 3599 42: 3586 43: 3588
    44: 3595 45: 3591 46: 3593 47: 3592 48: 3593 bogomips: 364483
  Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 svm
  Vulnerabilities:
  Type: itlb_multihit status: Not affected
  Type: l1tf status: Not affected
  Type: mds status: Not affected
  Type: meltdown status: Not affected
  Type: mmio_stale_data status: Not affected
  Type: spec_store_bypass
    mitigation: Speculative Store Bypass disabled via prctl
  Type: spectre_v1
    mitigation: usercopy/swapgs barriers and __user pointer sanitization
  Type: spectre_v2
    mitigation: Retpolines, IBPB: conditional, STIBP: conditional, RSB filling
  Type: srbds status: Not affected
  Type: tsx_async_abort status: Not affected
Graphics:
  Device-1: NVIDIA TU106 [GeForce RTX 2060 SUPER] vendor: eVga.com.
    driver: nvidia v: 515.57 alternate: nouveau,nvidia_drm non-free: 515.xx+
    status: current (as of 2022-06) arch: Turing process: TSMC 12nm
    built: 2018-22 pcie: gen: 1 speed: 2.5 GT/s lanes: 16 link-max: gen: 3
    speed: 8 GT/s bus-ID: 21:00.0 chip-ID: 10de:1f06 class-ID: 0300
  Device-2: Logitech BRIO Ultra HD Webcam type: USB
    driver: hid-generic,snd-usb-audio,usbhid,uvcvideo bus-ID: 2-1:2
    chip-ID: 046d:085e class-ID: 0300 serial: <filter>
  Device-3: Elgato Systems GmbH Cam Link 4K type: USB
    driver: hid-generic,snd-usb-audio,usbhid,uvcvideo bus-ID: 2-2:3
    chip-ID: 0fd9:0066 class-ID: 0102 serial: <filter>
  Display: x11 server: X.Org v: 21.1.4 with: Xwayland v: 22.1.3
    compositor: kwin_x11 driver: X: loaded: nvidia gpu: nvidia display-ID: :0
    screens: 1
  Screen-1: 0 s-res: 3840x2160 s-dpi: 162 s-size: 602x341mm (23.70x13.43")
    s-diag: 692mm (27.24")
  Monitor-1: HDMI-0 res: 3840x2160 hz: 60 dpi: 163
    size: 600x340mm (23.62x13.39") diag: 690mm (27.15") modes: N/A
  OpenGL: renderer: NVIDIA GeForce RTX 2060 SUPER/PCIe/SSE2
    v: 4.6.0 NVIDIA 515.57 direct render: Yes
Audio:
  Device-1: NVIDIA TU106 High Definition Audio vendor: eVga.com.
    driver: snd_hda_intel bus-ID: 2-1:2 v: kernel chip-ID: 046d:085e pcie:
    class-ID: 0300 gen: 3 serial: <filter> speed: 8 GT/s lanes: 16
    bus-ID: 21:00.1 chip-ID: 10de:10f9 class-ID: 0403
  Device-2: AMD Starship/Matisse HD Audio driver: snd_hda_intel v: kernel
    pcie: gen: 4 speed: 16 GT/s lanes: 16 bus-ID: 23:00.4 chip-ID: 1022:1487
    class-ID: 0403
  Device-3: Logitech BRIO Ultra HD Webcam type: USB
    driver: hid-generic,snd-usb-audio,usbhid,uvcvideo
  Device-4: Elgato Systems GmbH Cam Link 4K type: USB
    driver: hid-generic,snd-usb-audio,usbhid,uvcvideo bus-ID: 2-2:3
    chip-ID: 0fd9:0066 class-ID: 0102 serial: <filter>
  Device-5: Audio-Technica ATR2100x-USB Microphone type: USB
    driver: hid-generic,snd-usb-audio,usbhid bus-ID: 5-1:2 chip-ID: 0909:004d
    class-ID: 0300
  Device-6: C-Media Vanatoo T0 type: USB
    driver: hid-generic,snd-usb-audio,usbhid bus-ID: 7-2:3 chip-ID: 0d8c:0012
    class-ID: 0300
  Device-7: Giga-Byte USB Audio type: USB
    driver: hid-generic,snd-usb-audio,usbhid bus-ID: 7-5:5 chip-ID: 0414:a002
    class-ID: 0300
  Sound Server-1: ALSA v: k5.18.9-263-tkg-bmq running: yes
  Sound Server-2: sndio v: N/A running: no
  Sound Server-3: PulseAudio v: 16.1 running: no
  Sound Server-4: PipeWire v: 0.3.55 running: yes
Network:
  Device-1: Intel I211 Gigabit Network vendor: Gigabyte driver: igb v: kernel
    pcie: gen: 1 speed: 2.5 GT/s lanes: 1 port: 9000 bus-ID: 43:00.0
    chip-ID: 8086:1539 class-ID: 0200
  IF: enp67s0 state: down mac: <filter>
  Device-2: Intel Wi-Fi 6 AX200 driver: iwlwifi v: kernel pcie: gen: 2
    speed: 5 GT/s lanes: 1 bus-ID: 44:00.0 chip-ID: 8086:2723 class-ID: 0280
  IF: wlo2 state: up mac: <filter>
Bluetooth:
  Device-1: Intel AX200 Bluetooth type: USB driver: btusb v: 0.8
    bus-ID: 9-5:2 chip-ID: 8087:0029 class-ID: e001
  Report: bt-adapter ID: hci0 rfk-id: 0 state: up address: N/A
Drives:
  Local Storage: total: 2.72 TiB used: 497.44 GiB (17.9%)
  SMART Message: Unable to run smartctl. Root privileges required.
  ID-1: /dev/nvme0n1 maj-min: 259:1 vendor: Samsung
    model: SSD 970 EVO Plus 1TB size: 931.51 GiB block-size: physical: 512 B
    logical: 512 B speed: 31.6 Gb/s lanes: 4 type: SSD serial: <filter>
    rev: 2B2QEXM7 temp: 57.9 C scheme: GPT
  ID-2: /dev/nvme1n1 maj-min: 259:0 vendor: Samsung
    model: SSD 970 EVO Plus 1TB size: 931.51 GiB block-size: physical: 512 B
    logical: 512 B speed: 31.6 Gb/s lanes: 4 type: SSD serial: <filter>
    rev: 2B2QEXM7 temp: 47.9 C scheme: GPT
  ID-3: /dev/sda maj-min: 8:0 type: USB vendor: Patriot model: N/A
    size: 922.5 GiB block-size: physical: 512 B logical: 512 B type: N/A
    serial: <filter> rev: PMAP scheme: MBR
  SMART Message: Unknown USB bridge. Flash drive/Unsupported enclosure?
Partition:
  ID-1: / raw-size: 931.22 GiB size: 931.22 GiB (100.00%)
    used: 497.44 GiB (53.4%) fs: btrfs block-size: 4096 B dev: /dev/nvme1n1p2
    maj-min: 259:3
  ID-2: /boot/efi raw-size: 300 MiB size: 299.4 MiB (99.80%)
    used: 560 KiB (0.2%) fs: vfat block-size: 512 B dev: /dev/nvme1n1p1
    maj-min: 259:2
  ID-3: /home raw-size: 931.22 GiB size: 931.22 GiB (100.00%)
    used: 497.44 GiB (53.4%) fs: btrfs block-size: 4096 B dev: /dev/nvme1n1p2
    maj-min: 259:3
  ID-4: /var/log raw-size: 931.22 GiB size: 931.22 GiB (100.00%)
    used: 497.44 GiB (53.4%) fs: btrfs block-size: 4096 B dev: /dev/nvme1n1p2
    maj-min: 259:3
  ID-5: /var/tmp raw-size: 931.22 GiB size: 931.22 GiB (100.00%)
    used: 497.44 GiB (53.4%) fs: btrfs block-size: 4096 B dev: /dev/nvme1n1p2
    maj-min: 259:3
Swap:
  Kernel: swappiness: 133 (default 60) cache-pressure: 50 (default 100)
  ID-1: swap-1 type: zram size: 62.66 GiB used: 0 KiB (0.0%) priority: 100
    dev: /dev/zram0
Sensors:
  System Temperatures: cpu: N/A mobo: N/A gpu: nvidia temp: 57 C
  Fan Speeds (RPM): N/A gpu: nvidia fan: 0%
Info:
  Processes: 639 Uptime: 17h 33m wakeups: 0 Memory: 62.66 GiB
  used: 10.6 GiB (16.9%) Init: systemd v: 251 default: graphical
  tool: systemctl Compilers: gcc: 12.1.0 Packages: 2254 pacman: 2246 lib: 586
  flatpak: 0 snap: 8 Shell: Zsh v: 5.9 running-in: konsole inxi: 3.3.19
Garuda (2.6.4-2):
  System install date:     2020-12-25
  Last full system update: 2022-07-12
  Is partially upgraded:   No
  Relevant software:       NetworkManager
  Windows dual boot:       No/Undetected
  Snapshots:               Timeshift
  Failed units:

Please use

garuda-update
3 Likes

Thank you. I just ran that command and am getting the same error about the invalid signature

Don't forget to update the Chaotic keyring as well.

sudo pacman -Sy archlinux-keyring chaotic-keyring
garuda-update

If that's not a fix, try working through the rest of the page here, pasting in- and output to the thread: Issues with “signature is marginal trust”, "signature is unknown trust", or “invalid or corrupted package”

3 Likes

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.